ReplicationsResourceApi (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger

## Class ReplicationsResourceApi

- java.lang.Object
- - com.cloudera.api.swagger.ReplicationsResourceApi

-     public class ReplicationsResourceApi
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReplicationsResourceApi()`
    `ReplicationsResourceApi(ApiClient apiClient)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiCommand` | `addHBaseReplicationPeer(String clusterName, String serviceName, ApiHBaseAddReplicationPeerInput body)` Starts a command that adds a new replication peer to HBase.
    `com.squareup.okhttp.Call` | `addHBaseReplicationPeerAsync(String clusterName, String serviceName, ApiHBaseAddReplicationPeerInput body, ApiCallback<ApiCommand> callback)` Starts a command that adds a new replication peer to HBase.
    `com.squareup.okhttp.Call` | `addHBaseReplicationPeerCall(String clusterName, String serviceName, ApiHBaseAddReplicationPeerInput body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for addHBaseReplicationPeer
    `ApiResponse<ApiCommand>` | `addHBaseReplicationPeerWithHttpInfo(String clusterName, String serviceName, ApiHBaseAddReplicationPeerInput body)` Starts a command that adds a new replication peer to HBase.
    `ApiCommand` | `addTablesToHBasePeer(String clusterName, String serviceName, ApiHBasePeerIdWithTableCFs body)` Starts a command that adds tables and column families to an existing HBase replication peer.
    `com.squareup.okhttp.Call` | `addTablesToHBasePeerAsync(String clusterName, String serviceName, ApiHBasePeerIdWithTableCFs body, ApiCallback<ApiCommand> callback)` Starts a command that adds tables and column families to an existing HBase replication peer.
    `com.squareup.okhttp.Call` | `addTablesToHBasePeerCall(String clusterName, String serviceName, ApiHBasePeerIdWithTableCFs body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for addTablesToHBasePeer
    `ApiResponse<ApiCommand>` | `addTablesToHBasePeerWithHttpInfo(String clusterName, String serviceName, ApiHBasePeerIdWithTableCFs body)` Starts a command that adds tables and column families to an existing HBase replication peer.
    `ApiCommand` | `checkHBaseTablesExist(String clusterName, String serviceName, ApiHBaseTableNames body)` Starts a command that checks if the specified tables exist in HBase.
    `com.squareup.okhttp.Call` | `checkHBaseTablesExistAsync(String clusterName, String serviceName, ApiHBaseTableNames body, ApiCallback<ApiCommand> callback)` Starts a command that checks if the specified tables exist in HBase.
    `com.squareup.okhttp.Call` | `checkHBaseTablesExistCall(String clusterName, String serviceName, ApiHBaseTableNames body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for checkHBaseTablesExist
    `ApiResponse<ApiCommand>` | `checkHBaseTablesExistWithHttpInfo(String clusterName, String serviceName, ApiHBaseTableNames body)` Starts a command that checks if the specified tables exist in HBase.
    `ApiCommand` | `collectDiagnosticData(String clusterName, BigDecimal scheduleId, String serviceName, String view, ApiReplicationDiagnosticsCollectionArgs body)` Collect diagnostic data for a schedule, optionally for a subset of commands on that schedule, matched by schedule ID.
    `com.squareup.okhttp.Call` | `collectDiagnosticDataAsync(String clusterName, BigDecimal scheduleId, String serviceName, String view, ApiReplicationDiagnosticsCollectionArgs body, ApiCallback<ApiCommand> callback)` Collect diagnostic data for a schedule, optionally for a subset of commands on that schedule, matched by schedule ID.
    `com.squareup.okhttp.Call` | `collectDiagnosticDataCall(String clusterName, BigDecimal scheduleId, String serviceName, String view, ApiReplicationDiagnosticsCollectionArgs body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for collectDiagnosticData
    `ApiResponse<ApiCommand>` | `collectDiagnosticDataWithHttpInfo(String clusterName, BigDecimal scheduleId, String serviceName, String view, ApiReplicationDiagnosticsCollectionArgs body)` Collect diagnostic data for a schedule, optionally for a subset of commands on that schedule, matched by schedule ID.
    `ApiCommand` | `createCloudCredstoreOnHdfs(String clusterName, String serviceName, Boolean force, String sourceAccount)` Creates a credstore provider jceks file on HDFS for the given service.
    `com.squareup.okhttp.Call` | `createCloudCredstoreOnHdfsAsync(String clusterName, String serviceName, Boolean force, String sourceAccount, ApiCallback<ApiCommand> callback)` Creates a credstore provider jceks file on HDFS for the given service.
    `com.squareup.okhttp.Call` | `createCloudCredstoreOnHdfsCall(String clusterName, String serviceName, Boolean force, String sourceAccount, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for createCloudCredstoreOnHdfs
    `ApiResponse<ApiCommand>` | `createCloudCredstoreOnHdfsWithHttpInfo(String clusterName, String serviceName, Boolean force, String sourceAccount)` Creates a credstore provider jceks file on HDFS for the given service.
    `ApiCommand` | `createCredstore(String clusterName, String serviceName, String credstoreDirPath, Boolean force, String sourceAccount)` Use the following API endpoint instead:.
    `com.squareup.okhttp.Call` | `createCredstoreAsync(String clusterName, String serviceName, String credstoreDirPath, Boolean force, String sourceAccount, ApiCallback<ApiCommand> callback)` Use the following API endpoint instead:.
    `com.squareup.okhttp.Call` | `createCredstoreCall(String clusterName, String serviceName, String credstoreDirPath, Boolean force, String sourceAccount, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for createCredstore
    `ApiResponse<ApiCommand>` | `createCredstoreWithHttpInfo(String clusterName, String serviceName, String credstoreDirPath, Boolean force, String sourceAccount)` Use the following API endpoint instead:.
    `ApiCommand` | `createHBaseTable(String clusterName, String serviceName, ApiHBaseCreateTable body)` Starts a command that creates a new table in HBase.
    `com.squareup.okhttp.Call` | `createHBaseTableAsync(String clusterName, String serviceName, ApiHBaseCreateTable body, ApiCallback<ApiCommand> callback)` Starts a command that creates a new table in HBase.
    `com.squareup.okhttp.Call` | `createHBaseTableCall(String clusterName, String serviceName, ApiHBaseCreateTable body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for createHBaseTable
    `ApiResponse<ApiCommand>` | `createHBaseTableWithHttpInfo(String clusterName, String serviceName, ApiHBaseCreateTable body)` Starts a command that creates a new table in HBase.
    `ApiReplicationScheduleList` | `createSchedules(String clusterName, String serviceName, ApiReplicationScheduleList body)` Creates one or more replication schedules.
    `com.squareup.okhttp.Call` | `createSchedulesAsync(String clusterName, String serviceName, ApiReplicationScheduleList body, ApiCallback<ApiReplicationScheduleList> callback)` Creates one or more replication schedules.
    `com.squareup.okhttp.Call` | `createSchedulesCall(String clusterName, String serviceName, ApiReplicationScheduleList body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for createSchedules
    `ApiResponse<ApiReplicationScheduleList>` | `createSchedulesWithHttpInfo(String clusterName, String serviceName, ApiReplicationScheduleList body)` Creates one or more replication schedules.
    `ApiReplicationScheduleList` | `deleteAllSchedules(String clusterName, String serviceName)` Deletes all existing replication schedules.
    `com.squareup.okhttp.Call` | `deleteAllSchedulesAsync(String clusterName, String serviceName, ApiCallback<ApiReplicationScheduleList> callback)` Deletes all existing replication schedules.
    `com.squareup.okhttp.Call` | `deleteAllSchedulesCall(String clusterName, String serviceName, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for deleteAllSchedules
    `ApiResponse<ApiReplicationScheduleList>` | `deleteAllSchedulesWithHttpInfo(String clusterName, String serviceName)` Deletes all existing replication schedules.
    `ApiReplicationSchedule` | `deleteSchedule(String clusterName, BigDecimal scheduleId, String serviceName)` Deletes an existing replication schedule.
    `com.squareup.okhttp.Call` | `deleteScheduleAsync(String clusterName, BigDecimal scheduleId, String serviceName, ApiCallback<ApiReplicationSchedule> callback)` Deletes an existing replication schedule.
    `com.squareup.okhttp.Call` | `deleteScheduleCall(String clusterName, BigDecimal scheduleId, String serviceName, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for deleteSchedule
    `ApiResponse<ApiReplicationSchedule>` | `deleteScheduleWithHttpInfo(String clusterName, BigDecimal scheduleId, String serviceName)` Deletes an existing replication schedule.
    `ApiCommand` | `fetchHBaseColumnFamilies(String clusterName, String serviceName, ApiHBaseTableNames body)` Starts a command that fetches column families for the desired tables.
    `com.squareup.okhttp.Call` | `fetchHBaseColumnFamiliesAsync(String clusterName, String serviceName, ApiHBaseTableNames body, ApiCallback<ApiCommand> callback)` Starts a command that fetches column families for the desired tables.
    `com.squareup.okhttp.Call` | `fetchHBaseColumnFamiliesCall(String clusterName, String serviceName, ApiHBaseTableNames body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for fetchHBaseColumnFamilies
    `ApiResponse<ApiCommand>` | `fetchHBaseColumnFamiliesWithHttpInfo(String clusterName, String serviceName, ApiHBaseTableNames body)` Starts a command that fetches column families for the desired tables.
    `ApiCommand` | `fetchHBasePeerInfo(String clusterName, String serviceName, ApiHBasePeerId body)` Starts a command that fetches information about an HBase peer by its ID.
    `com.squareup.okhttp.Call` | `fetchHBasePeerInfoAsync(String clusterName, String serviceName, ApiHBasePeerId body, ApiCallback<ApiCommand> callback)` Starts a command that fetches information about an HBase peer by its ID.
    `com.squareup.okhttp.Call` | `fetchHBasePeerInfoCall(String clusterName, String serviceName, ApiHBasePeerId body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for fetchHBasePeerInfo
    `ApiResponse<ApiCommand>` | `fetchHBasePeerInfoWithHttpInfo(String clusterName, String serviceName, ApiHBasePeerId body)` Starts a command that fetches information about an HBase peer by its ID.
    `ApiReplicationSchedule` | `forceDeleteSchedule(String clusterName, BigDecimal scheduleId, String serviceName)` Deletes an existing replication schedule only from the DB.
    `com.squareup.okhttp.Call` | `forceDeleteScheduleAsync(String clusterName, BigDecimal scheduleId, String serviceName, ApiCallback<ApiReplicationSchedule> callback)` Deletes an existing replication schedule only from the DB.
    `com.squareup.okhttp.Call` | `forceDeleteScheduleCall(String clusterName, BigDecimal scheduleId, String serviceName, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for forceDeleteSchedule
    `ApiResponse<ApiReplicationSchedule>` | `forceDeleteScheduleWithHttpInfo(String clusterName, BigDecimal scheduleId, String serviceName)` Deletes an existing replication schedule only from the DB.
    `Boolean` | `generateCloudReplCredstorePassword(String clusterName, String serviceName, String passwordGenerateMode)` (Re)generates the cloud credential provider password, used by the given service, for replicating to the cloud.
    `com.squareup.okhttp.Call` | `generateCloudReplCredstorePasswordAsync(String clusterName, String serviceName, String passwordGenerateMode, ApiCallback<Boolean> callback)` (Re)generates the cloud credential provider password, used by the given service, for replicating to the cloud.
    `com.squareup.okhttp.Call` | `generateCloudReplCredstorePasswordCall(String clusterName, String serviceName, String passwordGenerateMode, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for generateCloudReplCredstorePassword
    `ApiResponse<Boolean>` | `generateCloudReplCredstorePasswordWithHttpInfo(String clusterName, String serviceName, String passwordGenerateMode)` (Re)generates the cloud credential provider password, used by the given service, for replicating to the cloud.
    `ApiClient` | `getApiClient()`
    `ApiReplicationState` | `getReplicationState(String clusterName, String serviceName, String view)` returns the replication state.
    `com.squareup.okhttp.Call` | `getReplicationStateAsync(String clusterName, String serviceName, String view, ApiCallback<ApiReplicationState> callback)` returns the replication state.
    `com.squareup.okhttp.Call` | `getReplicationStateCall(String clusterName, String serviceName, String view, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for getReplicationState
    `ApiResponse<ApiReplicationState>` | `getReplicationStateWithHttpInfo(String clusterName, String serviceName, String view)` returns the replication state.
    `Boolean` | `isHive3ReverseDirectionEnabled(String clusterName, String serviceName, String clusterUuidOnRemote, String serviceNameOnRemote, String sourceDbNameOnRemote, String targetDbNameOnRemote)` This API endpoint checks if there is an ENABLED Hive3 replication policy on this server that replicates for the reverse direction.
    `com.squareup.okhttp.Call` | `isHive3ReverseDirectionEnabledAsync(String clusterName, String serviceName, String clusterUuidOnRemote, String serviceNameOnRemote, String sourceDbNameOnRemote, String targetDbNameOnRemote, ApiCallback<Boolean> callback)` This API endpoint checks if there is an ENABLED Hive3 replication policy on this server that replicates for the reverse direction.
    `com.squareup.okhttp.Call` | `isHive3ReverseDirectionEnabledCall(String clusterName, String serviceName, String clusterUuidOnRemote, String serviceNameOnRemote, String sourceDbNameOnRemote, String targetDbNameOnRemote, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for isHive3ReverseDirectionEnabled
    `ApiResponse<Boolean>` | `isHive3ReverseDirectionEnabledWithHttpInfo(String clusterName, String serviceName, String clusterUuidOnRemote, String serviceNameOnRemote, String sourceDbNameOnRemote, String targetDbNameOnRemote)` This API endpoint checks if there is an ENABLED Hive3 replication policy on this server that replicates for the reverse direction.
    `ApiCommand` | `listHBaseNamespaces(String clusterName, String serviceName)` Starts a command that lists all namespaces in HBase.
    `com.squareup.okhttp.Call` | `listHBaseNamespacesAsync(String clusterName, String serviceName, ApiCallback<ApiCommand> callback)` Starts a command that lists all namespaces in HBase.
    `com.squareup.okhttp.Call` | `listHBaseNamespacesCall(String clusterName, String serviceName, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for listHBaseNamespaces
    `ApiResponse<ApiCommand>` | `listHBaseNamespacesWithHttpInfo(String clusterName, String serviceName)` Starts a command that lists all namespaces in HBase.
    `ApiCommand` | `listHBasePeers(String clusterName, String serviceName)` Starts a command that retrieves all peers registered in the HBase service.
    `com.squareup.okhttp.Call` | `listHBasePeersAsync(String clusterName, String serviceName, ApiCallback<ApiCommand> callback)` Starts a command that retrieves all peers registered in the HBase service.
    `com.squareup.okhttp.Call` | `listHBasePeersCall(String clusterName, String serviceName, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for listHBasePeers
    `ApiResponse<ApiCommand>` | `listHBasePeersWithHttpInfo(String clusterName, String serviceName)` Starts a command that retrieves all peers registered in the HBase service.
    `ApiCommand` | `listHBaseTables(String clusterName, String serviceName)` Starts a command that lists tables from the HBase service.
    `com.squareup.okhttp.Call` | `listHBaseTablesAsync(String clusterName, String serviceName, ApiCallback<ApiCommand> callback)` Starts a command that lists tables from the HBase service.
    `com.squareup.okhttp.Call` | `listHBaseTablesCall(String clusterName, String serviceName, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for listHBaseTables
    `ApiResponse<ApiCommand>` | `listHBaseTablesWithHttpInfo(String clusterName, String serviceName)` Starts a command that lists tables from the HBase service.
    `ApiReplicationCommandList` | `readHistory(String clusterName, BigDecimal scheduleId, String serviceName, BigDecimal limit, BigDecimal offset, String view)` Returns a list of commands triggered by a schedule.
    `com.squareup.okhttp.Call` | `readHistoryAsync(String clusterName, BigDecimal scheduleId, String serviceName, BigDecimal limit, BigDecimal offset, String view, ApiCallback<ApiReplicationCommandList> callback)` Returns a list of commands triggered by a schedule.
    `com.squareup.okhttp.Call` | `readHistoryCall(String clusterName, BigDecimal scheduleId, String serviceName, BigDecimal limit, BigDecimal offset, String view, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for readHistory
    `ApiResponse<ApiReplicationCommandList>` | `readHistoryWithHttpInfo(String clusterName, BigDecimal scheduleId, String serviceName, BigDecimal limit, BigDecimal offset, String view)` Returns a list of commands triggered by a schedule.
    `ApiReplicationSchedule` | `readSchedule(String clusterName, BigDecimal scheduleId, String serviceName, String view)` Returns information for a specific replication schedule.
    `com.squareup.okhttp.Call` | `readScheduleAsync(String clusterName, BigDecimal scheduleId, String serviceName, String view, ApiCallback<ApiReplicationSchedule> callback)` Returns information for a specific replication schedule.
    `com.squareup.okhttp.Call` | `readScheduleCall(String clusterName, BigDecimal scheduleId, String serviceName, String view, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for readSchedule
    `ApiReplicationScheduleList` | `readSchedules(String clusterName, String serviceName, BigDecimal maxCommands, BigDecimal maxErrors, BigDecimal maxSchedules, BigDecimal maxTables, String view)` Retrieves information about replication schedules.
    `com.squareup.okhttp.Call` | `readSchedulesAsync(String clusterName, String serviceName, BigDecimal maxCommands, BigDecimal maxErrors, BigDecimal maxSchedules, BigDecimal maxTables, String view, ApiCallback<ApiReplicationScheduleList> callback)` Retrieves information about replication schedules.
    `com.squareup.okhttp.Call` | `readSchedulesCall(String clusterName, String serviceName, BigDecimal maxCommands, BigDecimal maxErrors, BigDecimal maxSchedules, BigDecimal maxTables, String view, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for readSchedules
    `ApiResponse<ApiReplicationScheduleList>` | `readSchedulesWithHttpInfo(String clusterName, String serviceName, BigDecimal maxCommands, BigDecimal maxErrors, BigDecimal maxSchedules, BigDecimal maxTables, String view)` Retrieves information about replication schedules.
    `ApiResponse<ApiReplicationSchedule>` | `readScheduleWithHttpInfo(String clusterName, BigDecimal scheduleId, String serviceName, String view)` Returns information for a specific replication schedule.
    `ApiCommand` | `recreateCloudCredstoresOnHdfs(String clusterName, String serviceName)` Recreates the existing credential provider jceks files on HDFS, that are used by the given service, for replicating to the cloud.
    `com.squareup.okhttp.Call` | `recreateCloudCredstoresOnHdfsAsync(String clusterName, String serviceName, ApiCallback<ApiCommand> callback)` Recreates the existing credential provider jceks files on HDFS, that are used by the given service, for replicating to the cloud.
    `com.squareup.okhttp.Call` | `recreateCloudCredstoresOnHdfsCall(String clusterName, String serviceName, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for recreateCloudCredstoresOnHdfs
    `ApiResponse<ApiCommand>` | `recreateCloudCredstoresOnHdfsWithHttpInfo(String clusterName, String serviceName)` Recreates the existing credential provider jceks files on HDFS, that are used by the given service, for replicating to the cloud.
    `ApiCommand` | `removeHBasePeer(String clusterName, String serviceName, ApiHBasePeerId body)` Starts a command that removes the specified HBase replication peer from the local HBase service.
    `com.squareup.okhttp.Call` | `removeHBasePeerAsync(String clusterName, String serviceName, ApiHBasePeerId body, ApiCallback<ApiCommand> callback)` Starts a command that removes the specified HBase replication peer from the local HBase service.
    `com.squareup.okhttp.Call` | `removeHBasePeerCall(String clusterName, String serviceName, ApiHBasePeerId body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for removeHBasePeer
    `ApiResponse<ApiCommand>` | `removeHBasePeerWithHttpInfo(String clusterName, String serviceName, ApiHBasePeerId body)` Starts a command that removes the specified HBase replication peer from the local HBase service.
    `ApiCommand` | `removeTablesFromHBasePeer(String clusterName, String serviceName, ApiHBasePeerIdWithTableCFs body)` Starts a command that removes tables and column families from an existing HBase replication peer.
    `com.squareup.okhttp.Call` | `removeTablesFromHBasePeerAsync(String clusterName, String serviceName, ApiHBasePeerIdWithTableCFs body, ApiCallback<ApiCommand> callback)` Starts a command that removes tables and column families from an existing HBase replication peer.
    `com.squareup.okhttp.Call` | `removeTablesFromHBasePeerCall(String clusterName, String serviceName, ApiHBasePeerIdWithTableCFs body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for removeTablesFromHBasePeer
    `ApiResponse<ApiCommand>` | `removeTablesFromHBasePeerWithHttpInfo(String clusterName, String serviceName, ApiHBasePeerIdWithTableCFs body)` Starts a command that removes tables and column families from an existing HBase replication peer.
    `Boolean` | `rescheduleHive3ReplicationMetricsGetter(String clusterName, String serviceName, BigDecimal nextStartMins)` Set the Hive3 Replication Metrics Getter next start time.
    `com.squareup.okhttp.Call` | `rescheduleHive3ReplicationMetricsGetterAsync(String clusterName, String serviceName, BigDecimal nextStartMins, ApiCallback<Boolean> callback)` Set the Hive3 Replication Metrics Getter next start time.
    `com.squareup.okhttp.Call` | `rescheduleHive3ReplicationMetricsGetterCall(String clusterName, String serviceName, BigDecimal nextStartMins, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for rescheduleHive3ReplicationMetricsGetter
    `ApiResponse<Boolean>` | `rescheduleHive3ReplicationMetricsGetterWithHttpInfo(String clusterName, String serviceName, BigDecimal nextStartMins)` Set the Hive3 Replication Metrics Getter next start time.
    `ApiCommand` | `runCopyListing(String clusterName, String serviceName, String body)` Run the hdfs copy listing command.
    `com.squareup.okhttp.Call` | `runCopyListingAsync(String clusterName, String serviceName, String body, ApiCallback<ApiCommand> callback)` Run the hdfs copy listing command.
    `com.squareup.okhttp.Call` | `runCopyListingCall(String clusterName, String serviceName, String body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for runCopyListing
    `ApiResponse<ApiCommand>` | `runCopyListingWithHttpInfo(String clusterName, String serviceName, String body)` Run the hdfs copy listing command.
    `ApiCommand` | `runHBaseReplicationRetryFailedSnapshots(String clusterName, BigDecimal scheduleId, String serviceName)` Executes a command to run a HBase replication retry on failed snapshots for the given schedule ID.
    `com.squareup.okhttp.Call` | `runHBaseReplicationRetryFailedSnapshotsAsync(String clusterName, BigDecimal scheduleId, String serviceName, ApiCallback<ApiCommand> callback)` Executes a command to run a HBase replication retry on failed snapshots for the given schedule ID.
    `com.squareup.okhttp.Call` | `runHBaseReplicationRetryFailedSnapshotsCall(String clusterName, BigDecimal scheduleId, String serviceName, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for runHBaseReplicationRetryFailedSnapshots
    `ApiResponse<ApiCommand>` | `runHBaseReplicationRetryFailedSnapshotsWithHttpInfo(String clusterName, BigDecimal scheduleId, String serviceName)` Executes a command to run a HBase replication retry on failed snapshots for the given schedule ID.
    `ApiCommand` | `runHBaseReplicationSecurityTool(String clusterName, String serviceName, Object body)` Run the hbase replication security tool.
    `com.squareup.okhttp.Call` | `runHBaseReplicationSecurityToolAsync(String clusterName, String serviceName, Object body, ApiCallback<ApiCommand> callback)` Run the hbase replication security tool.
    `com.squareup.okhttp.Call` | `runHBaseReplicationSecurityToolCall(String clusterName, String serviceName, Object body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for runHBaseReplicationSecurityTool
    `ApiResponse<ApiCommand>` | `runHBaseReplicationSecurityToolWithHttpInfo(String clusterName, String serviceName, Object body)` Run the hbase replication security tool.
    `ApiCommand` | `runHBaseReplicationValidationTool(String clusterName, String serviceName, String hbasePeerId)` Executes a command, which validates if HBase replication works properly for the given hbasePeerId.
    `com.squareup.okhttp.Call` | `runHBaseReplicationValidationToolAsync(String clusterName, String serviceName, String hbasePeerId, ApiCallback<ApiCommand> callback)` Executes a command, which validates if HBase replication works properly for the given hbasePeerId.
    `com.squareup.okhttp.Call` | `runHBaseReplicationValidationToolCall(String clusterName, String serviceName, String hbasePeerId, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for runHBaseReplicationValidationTool
    `ApiResponse<ApiCommand>` | `runHBaseReplicationValidationToolWithHttpInfo(String clusterName, String serviceName, String hbasePeerId)` Executes a command, which validates if HBase replication works properly for the given hbasePeerId.
    `ApiCommand` | `runHiveReplicationQuery(String clusterName, String serviceName, ApiHive3ReplicationArguments body)` Execute a hive replication query on local HS2 service instance.
    `com.squareup.okhttp.Call` | `runHiveReplicationQueryAsync(String clusterName, String serviceName, ApiHive3ReplicationArguments body, ApiCallback<ApiCommand> callback)` Execute a hive replication query on local HS2 service instance.
    `com.squareup.okhttp.Call` | `runHiveReplicationQueryCall(String clusterName, String serviceName, ApiHive3ReplicationArguments body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for runHiveReplicationQuery
    `ApiResponse<ApiCommand>` | `runHiveReplicationQueryWithHttpInfo(String clusterName, String serviceName, ApiHive3ReplicationArguments body)` Execute a hive replication query on local HS2 service instance.
    `ApiCommand` | `runSchedule(String clusterName, BigDecimal scheduleId, String serviceName, Boolean dryRun)` Run the schedule immediately.
    `com.squareup.okhttp.Call` | `runScheduleAsync(String clusterName, BigDecimal scheduleId, String serviceName, Boolean dryRun, ApiCallback<ApiCommand> callback)` Run the schedule immediately.
    `com.squareup.okhttp.Call` | `runScheduleCall(String clusterName, BigDecimal scheduleId, String serviceName, Boolean dryRun, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for runSchedule
    `ApiResponse<ApiCommand>` | `runScheduleWithHttpInfo(String clusterName, BigDecimal scheduleId, String serviceName, Boolean dryRun)` Run the schedule immediately.
    `void` | `setApiClient(ApiClient apiClient)`
    `ApiCommand` | `setCFsReplicationScope(String clusterName, String serviceName, ApiHBaseSetCFsReplicationScope body)` Starts a command that set the replication scope of the provided column families to the desired value.
    `com.squareup.okhttp.Call` | `setCFsReplicationScopeAsync(String clusterName, String serviceName, ApiHBaseSetCFsReplicationScope body, ApiCallback<ApiCommand> callback)` Starts a command that set the replication scope of the provided column families to the desired value.
    `com.squareup.okhttp.Call` | `setCFsReplicationScopeCall(String clusterName, String serviceName, ApiHBaseSetCFsReplicationScope body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for setCFsReplicationScope
    `ApiResponse<ApiCommand>` | `setCFsReplicationScopeWithHttpInfo(String clusterName, String serviceName, ApiHBaseSetCFsReplicationScope body)` Starts a command that set the replication scope of the provided column families to the desired value.
    `ApiCommand` | `updateHBaseReplicationPeerState(String clusterName, String serviceName, ApiHBaseUpdateReplicationPeerState body)` Starts a command that updates the state of an existing HBase replication peer.
    `com.squareup.okhttp.Call` | `updateHBaseReplicationPeerStateAsync(String clusterName, String serviceName, ApiHBaseUpdateReplicationPeerState body, ApiCallback<ApiCommand> callback)` Starts a command that updates the state of an existing HBase replication peer.
    `com.squareup.okhttp.Call` | `updateHBaseReplicationPeerStateCall(String clusterName, String serviceName, ApiHBaseUpdateReplicationPeerState body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for updateHBaseReplicationPeerState
    `ApiResponse<ApiCommand>` | `updateHBaseReplicationPeerStateWithHttpInfo(String clusterName, String serviceName, ApiHBaseUpdateReplicationPeerState body)` Starts a command that updates the state of an existing HBase replication peer.
    `ApiReplicationSchedule` | `updateSchedule(String clusterName, BigDecimal scheduleId, String serviceName, ApiReplicationSchedule body)` Updates an existing replication schedule.
    `com.squareup.okhttp.Call` | `updateScheduleAsync(String clusterName, BigDecimal scheduleId, String serviceName, ApiReplicationSchedule body, ApiCallback<ApiReplicationSchedule> callback)` Updates an existing replication schedule.
    `com.squareup.okhttp.Call` | `updateScheduleCall(String clusterName, BigDecimal scheduleId, String serviceName, ApiReplicationSchedule body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for updateSchedule
    `ApiResponse<ApiReplicationSchedule>` | `updateScheduleWithHttpInfo(String clusterName, BigDecimal scheduleId, String serviceName, ApiReplicationSchedule body)` Updates an existing replication schedule.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReplicationsResourceApi

          public ReplicationsResourceApi()

    - #### ReplicationsResourceApi

          public ReplicationsResourceApi(ApiClient apiClient)

  - ### Method Detail

    - #### getApiClient

          public ApiClient getApiClient()

    - #### setApiClient

          public void setApiClient(ApiClient apiClient)

    - #### addHBaseReplicationPeerCall

          public com.squareup.okhttp.Call addHBaseReplicationPeerCall(String clusterName,
                                                                      String serviceName,
                                                                      ApiHBaseAddReplicationPeerInput body,
                                                                      ProgressResponseBody.ProgressListener progressListener,
                                                                      ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                               throws ApiException

      Build call for addHBaseReplicationPeer
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
        `body` - Information for peer creation. (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### addHBaseReplicationPeer

          public ApiCommand addHBaseReplicationPeer(String clusterName,
                                                    String serviceName,
                                                    ApiHBaseAddReplicationPeerInput body)
                                             throws ApiException

      Starts a command that adds a new replication peer to HBase. Starts a command that adds a new replication peer to HBase.
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
        `body` - Information for peer creation. (optional)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### addHBaseReplicationPeerWithHttpInfo

          public ApiResponse<ApiCommand> addHBaseReplicationPeerWithHttpInfo(String clusterName,
                                                                             String serviceName,
                                                                             ApiHBaseAddReplicationPeerInput body)
                                                                      throws ApiException

      Starts a command that adds a new replication peer to HBase. Starts a command that adds a new replication peer to HBase.
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
        `body` - Information for peer creation. (optional)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### addHBaseReplicationPeerAsync

          public com.squareup.okhttp.Call addHBaseReplicationPeerAsync(String clusterName,
                                                                       String serviceName,
                                                                       ApiHBaseAddReplicationPeerInput body,
                                                                       ApiCallback<ApiCommand> callback)
                                                                throws ApiException

      Starts a command that adds a new replication peer to HBase. (asynchronously) Starts a command that adds a new replication peer to HBase.
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
        `body` - Information for peer creation. (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### addTablesToHBasePeerCall

          public com.squareup.okhttp.Call addTablesToHBasePeerCall(String clusterName,
                                                                   String serviceName,
                                                                   ApiHBasePeerIdWithTableCFs body,
                                                                   ProgressResponseBody.ProgressListener progressListener,
                                                                   ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                            throws ApiException

      Build call for addTablesToHBasePeer
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
        `body` - Arguments for the operation. (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### addTablesToHBasePeer

          public ApiCommand addTablesToHBasePeer(String clusterName,
                                                 String serviceName,
                                                 ApiHBasePeerIdWithTableCFs body)
                                          throws ApiException

      Starts a command that adds tables and column families to an existing HBase replication peer. Starts a command that adds tables and column families to an existing HBase replication peer.
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
        `body` - Arguments for the operation. (optional)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### addTablesToHBasePeerWithHttpInfo

          public ApiResponse<ApiCommand> addTablesToHBasePeerWithHttpInfo(String clusterName,
                                                                          String serviceName,
                                                                          ApiHBasePeerIdWithTableCFs body)
                                                                   throws ApiException

      Starts a command that adds tables and column families to an existing HBase replication peer. Starts a command that adds tables and column families to an existing HBase replication peer.
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
        `body` - Arguments for the operation. (optional)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### addTablesToHBasePeerAsync

          public com.squareup.okhttp.Call addTablesToHBasePeerAsync(String clusterName,
                                                                    String serviceName,
                                                                    ApiHBasePeerIdWithTableCFs body,
                                                                    ApiCallback<ApiCommand> callback)
                                                             throws ApiException

      Starts a command that adds tables and column families to an existing HBase replication peer. (asynchronously) Starts a command that adds tables and column families to an existing HBase replication peer.
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
        `body` - Arguments for the operation. (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### checkHBaseTablesExistCall

          public com.squareup.okhttp.Call checkHBaseTablesExistCall(String clusterName,
                                                                    String serviceName,
                                                                    ApiHBaseTableNames body,
                                                                    ProgressResponseBody.ProgressListener progressListener,
                                                                    ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                             throws ApiException

      Build call for checkHBaseTablesExist
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
        `body` - Names of the tables to be checked. (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### checkHBaseTablesExist

          public ApiCommand checkHBaseTablesExist(String clusterName,
                                                  String serviceName,
                                                  ApiHBaseTableNames body)
                                           throws ApiException

      Starts a command that checks if the specified tables exist in HBase. Starts a command that checks if the specified tables exist in HBase.
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
        `body` - Names of the tables to be checked. (optional)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### checkHBaseTablesExistWithHttpInfo

          public ApiResponse<ApiCommand> checkHBaseTablesExistWithHttpInfo(String clusterName,
                                                                           String serviceName,
                                                                           ApiHBaseTableNames body)
                                                                    throws ApiException

      Starts a command that checks if the specified tables exist in HBase. Starts a command that checks if the specified tables exist in HBase.
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
        `body` - Names of the tables to be checked. (optional)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### checkHBaseTablesExistAsync

          public com.squareup.okhttp.Call checkHBaseTablesExistAsync(String clusterName,
                                                                     String serviceName,
                                                                     ApiHBaseTableNames body,
                                                                     ApiCallback<ApiCommand> callback)
                                                              throws ApiException

      Starts a command that checks if the specified tables exist in HBase. (asynchronously) Starts a command that checks if the specified tables exist in HBase.
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
        `body` - Names of the tables to be checked. (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### collectDiagnosticDataCall

          public com.squareup.okhttp.Call collectDiagnosticDataCall(String clusterName,
                                                                    BigDecimal scheduleId,
                                                                    String serviceName,
                                                                    String view,
                                                                    ApiReplicationDiagnosticsCollectionArgs body,
                                                                    ProgressResponseBody.ProgressListener progressListener,
                                                                    ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                             throws ApiException

      Build call for collectDiagnosticData
      Parameters:
        `clusterName` - (required)
        `scheduleId` - Schedule ID (required)
        `serviceName` - The service name. (required)
        `view` - view to materialize (optional, default to summary)
        `body` - Replication collection arguments (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### collectDiagnosticData

          public ApiCommand collectDiagnosticData(String clusterName,
                                                  BigDecimal scheduleId,
                                                  String serviceName,
                                                  String view,
                                                  ApiReplicationDiagnosticsCollectionArgs body)
                                           throws ApiException

      Collect diagnostic data for a schedule, optionally for a subset of commands on that schedule, matched by schedule ID. Collect diagnostic data for a schedule, optionally for a subset of commands on that schedule, matched by schedule ID. The returned command's resultDataUrl property, upon the commands completion, will refer to the generated diagnostic data. Available since API v11.
      Parameters:
        `clusterName` - (required)
        `scheduleId` - Schedule ID (required)
        `serviceName` - The service name. (required)
        `view` - view to materialize (optional, default to summary)
        `body` - Replication collection arguments (optional)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### collectDiagnosticDataWithHttpInfo

          public ApiResponse<ApiCommand> collectDiagnosticDataWithHttpInfo(String clusterName,
                                                                           BigDecimal scheduleId,
                                                                           String serviceName,
                                                                           String view,
                                                                           ApiReplicationDiagnosticsCollectionArgs body)
                                                                    throws ApiException

      Collect diagnostic data for a schedule, optionally for a subset of commands on that schedule, matched by schedule ID. Collect diagnostic data for a schedule, optionally for a subset of commands on that schedule, matched by schedule ID. The returned command's resultDataUrl property, upon the commands completion, will refer to the generated diagnostic data. Available since API v11.
      Parameters:
        `clusterName` - (required)
        `scheduleId` - Schedule ID (required)
        `serviceName` - The service name. (required)
        `view` - view to materialize (optional, default to summary)
        `body` - Replication collection arguments (optional)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### collectDiagnosticDataAsync

          public com.squareup.okhttp.Call collectDiagnosticDataAsync(String clusterName,
                                                                     BigDecimal scheduleId,
                                                                     String serviceName,
                                                                     String view,
                                                                     ApiReplicationDiagnosticsCollectionArgs body,
                                                                     ApiCallback<ApiCommand> callback)
                                                              throws ApiException

      Collect diagnostic data for a schedule, optionally for a subset of commands on that schedule, matched by schedule ID. (asynchronously) Collect diagnostic data for a schedule, optionally for a subset of commands on that schedule, matched by schedule ID. The returned command's resultDataUrl property, upon the commands completion, will refer to the generated diagnostic data. Available since API v11.
      Parameters:
        `clusterName` - (required)
        `scheduleId` - Schedule ID (required)
        `serviceName` - The service name. (required)
        `view` - view to materialize (optional, default to summary)
        `body` - Replication collection arguments (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### createCloudCredstoreOnHdfsCall

          public com.squareup.okhttp.Call createCloudCredstoreOnHdfsCall(String clusterName,
                                                                         String serviceName,
                                                                         Boolean force,
                                                                         String sourceAccount,
                                                                         ProgressResponseBody.ProgressListener progressListener,
                                                                         ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                                  throws ApiException

      Build call for createCloudCredstoreOnHdfs
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
        `force` - if the jceks file already exists on HDFS and this parameter is set to true then it will be recreated, otherwise left untouched (optional)
        `sourceAccount` - the External Account that has been already added to this CM, for which the credstore provider jceks file will be generated (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### createCloudCredstoreOnHdfs

          public ApiCommand createCloudCredstoreOnHdfs(String clusterName,
                                                       String serviceName,
                                                       Boolean force,
                                                       String sourceAccount)
                                                throws ApiException

      Creates a credstore provider jceks file on HDFS for the given service. Creates a credstore provider jceks file on HDFS for the given service. The file will store credential information for the given sourceAccount.
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
        `force` - if the jceks file already exists on HDFS and this parameter is set to true then it will be recreated, otherwise left untouched (optional)
        `sourceAccount` - the External Account that has been already added to this CM, for which the credstore provider jceks file will be generated (optional)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### createCloudCredstoreOnHdfsWithHttpInfo

          public ApiResponse<ApiCommand> createCloudCredstoreOnHdfsWithHttpInfo(String clusterName,
                                                                                String serviceName,
                                                                                Boolean force,
                                                                                String sourceAccount)
                                                                         throws ApiException

      Creates a credstore provider jceks file on HDFS for the given service. Creates a credstore provider jceks file on HDFS for the given service. The file will store credential information for the given sourceAccount.
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
        `force` - if the jceks file already exists on HDFS and this parameter is set to true then it will be recreated, otherwise left untouched (optional)
        `sourceAccount` - the External Account that has been already added to this CM, for which the credstore provider jceks file will be generated (optional)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### createCloudCredstoreOnHdfsAsync

          public com.squareup.okhttp.Call createCloudCredstoreOnHdfsAsync(String clusterName,
                                                                          String serviceName,
                                                                          Boolean force,
                                                                          String sourceAccount,
                                                                          ApiCallback<ApiCommand> callback)
                                                                   throws ApiException

      Creates a credstore provider jceks file on HDFS for the given service. (asynchronously) Creates a credstore provider jceks file on HDFS for the given service. The file will store credential information for the given sourceAccount.
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
        `force` - if the jceks file already exists on HDFS and this parameter is set to true then it will be recreated, otherwise left untouched (optional)
        `sourceAccount` - the External Account that has been already added to this CM, for which the credstore provider jceks file will be generated (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### createCredstoreCall

          public com.squareup.okhttp.Call createCredstoreCall(String clusterName,
                                                              String serviceName,
                                                              String credstoreDirPath,
                                                              Boolean force,
                                                              String sourceAccount,
                                                              ProgressResponseBody.ProgressListener progressListener,
                                                              ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                       throws ApiException

      Build call for createCredstore
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
        `credstoreDirPath` - (optional)
        `force` - (optional)
        `sourceAccount` - (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### createCredstore

          public ApiCommand createCredstore(String clusterName,
                                            String serviceName,
                                            String credstoreDirPath,
                                            Boolean force,
                                            String sourceAccount)
                                     throws ApiException

      Use the following API endpoint instead:. Use the following API endpoint instead: <b/> com.cloudera.api.v50.ReplicationsResourceV50#createCloudCredstoreOnHdfs(String, boolean)
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
        `credstoreDirPath` - (optional)
        `force` - (optional)
        `sourceAccount` - (optional)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### createCredstoreWithHttpInfo

          public ApiResponse<ApiCommand> createCredstoreWithHttpInfo(String clusterName,
                                                                     String serviceName,
                                                                     String credstoreDirPath,
                                                                     Boolean force,
                                                                     String sourceAccount)
                                                              throws ApiException

      Use the following API endpoint instead:. Use the following API endpoint instead: <b/> com.cloudera.api.v50.ReplicationsResourceV50#createCloudCredstoreOnHdfs(String, boolean)
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
        `credstoreDirPath` - (optional)
        `force` - (optional)
        `sourceAccount` - (optional)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### createCredstoreAsync

          public com.squareup.okhttp.Call createCredstoreAsync(String clusterName,
                                                               String serviceName,
                                                               String credstoreDirPath,
                                                               Boolean force,
                                                               String sourceAccount,
                                                               ApiCallback<ApiCommand> callback)
                                                        throws ApiException

      Use the following API endpoint instead:. (asynchronously) Use the following API endpoint instead: <b/> com.cloudera.api.v50.ReplicationsResourceV50#createCloudCredstoreOnHdfs(String, boolean)
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
        `credstoreDirPath` - (optional)
        `force` - (optional)
        `sourceAccount` - (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### createHBaseTableCall

          public com.squareup.okhttp.Call createHBaseTableCall(String clusterName,
                                                               String serviceName,
                                                               ApiHBaseCreateTable body,
                                                               ProgressResponseBody.ProgressListener progressListener,
                                                               ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                        throws ApiException

      Build call for createHBaseTable
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
        `body` - Arguments for table creation. (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### createHBaseTable

          public ApiCommand createHBaseTable(String clusterName,
                                             String serviceName,
                                             ApiHBaseCreateTable body)
                                      throws ApiException

      Starts a command that creates a new table in HBase. Starts a command that creates a new table in HBase.
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
        `body` - Arguments for table creation. (optional)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### createHBaseTableWithHttpInfo

          public ApiResponse<ApiCommand> createHBaseTableWithHttpInfo(String clusterName,
                                                                      String serviceName,
                                                                      ApiHBaseCreateTable body)
                                                               throws ApiException

      Starts a command that creates a new table in HBase. Starts a command that creates a new table in HBase.
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
        `body` - Arguments for table creation. (optional)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### createHBaseTableAsync

          public com.squareup.okhttp.Call createHBaseTableAsync(String clusterName,
                                                                String serviceName,
                                                                ApiHBaseCreateTable body,
                                                                ApiCallback<ApiCommand> callback)
                                                         throws ApiException

      Starts a command that creates a new table in HBase. (asynchronously) Starts a command that creates a new table in HBase.
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
        `body` - Arguments for table creation. (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### createSchedulesCall

          public com.squareup.okhttp.Call createSchedulesCall(String clusterName,
                                                              String serviceName,
                                                              ApiReplicationScheduleList body,
                                                              ProgressResponseBody.ProgressListener progressListener,
                                                              ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                       throws ApiException

      Build call for createSchedules
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
        `body` - List of the replication schedules to create. (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### createSchedules

          public ApiReplicationScheduleList createSchedules(String clusterName,
                                                            String serviceName,
                                                            ApiReplicationScheduleList body)
                                                     throws ApiException

      Creates one or more replication schedules. Creates one or more replication schedules. <p> Available since API v3. Only available with Cloudera Manager Enterprise Edition.
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
        `body` - List of the replication schedules to create. (optional)
      Returns:
        ApiReplicationScheduleList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### createSchedulesWithHttpInfo

          public ApiResponse<ApiReplicationScheduleList> createSchedulesWithHttpInfo(String clusterName,
                                                                                     String serviceName,
                                                                                     ApiReplicationScheduleList body)
                                                                              throws ApiException

      Creates one or more replication schedules. Creates one or more replication schedules. <p> Available since API v3. Only available with Cloudera Manager Enterprise Edition.
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
        `body` - List of the replication schedules to create. (optional)
      Returns:
        ApiResponse<ApiReplicationScheduleList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### createSchedulesAsync

          public com.squareup.okhttp.Call createSchedulesAsync(String clusterName,
                                                               String serviceName,
                                                               ApiReplicationScheduleList body,
                                                               ApiCallback<ApiReplicationScheduleList> callback)
                                                        throws ApiException

      Creates one or more replication schedules. (asynchronously) Creates one or more replication schedules. <p> Available since API v3. Only available with Cloudera Manager Enterprise Edition.
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
        `body` - List of the replication schedules to create. (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### deleteAllSchedulesCall

          public com.squareup.okhttp.Call deleteAllSchedulesCall(String clusterName,
                                                                 String serviceName,
                                                                 ProgressResponseBody.ProgressListener progressListener,
                                                                 ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                          throws ApiException

      Build call for deleteAllSchedules
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### deleteAllSchedules

          public ApiReplicationScheduleList deleteAllSchedules(String clusterName,
                                                               String serviceName)
                                                        throws ApiException

      Deletes all existing replication schedules. Deletes all existing replication schedules. <p> Available since API v3. Only available with Cloudera Manager Enterprise Edition.
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
      Returns:
        ApiReplicationScheduleList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### deleteAllSchedulesWithHttpInfo

          public ApiResponse<ApiReplicationScheduleList> deleteAllSchedulesWithHttpInfo(String clusterName,
                                                                                        String serviceName)
                                                                                 throws ApiException

      Deletes all existing replication schedules. Deletes all existing replication schedules. <p> Available since API v3. Only available with Cloudera Manager Enterprise Edition.
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
      Returns:
        ApiResponse<ApiReplicationScheduleList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### deleteAllSchedulesAsync

          public com.squareup.okhttp.Call deleteAllSchedulesAsync(String clusterName,
                                                                  String serviceName,
                                                                  ApiCallback<ApiReplicationScheduleList> callback)
                                                           throws ApiException

      Deletes all existing replication schedules. (asynchronously) Deletes all existing replication schedules. <p> Available since API v3. Only available with Cloudera Manager Enterprise Edition.
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### deleteScheduleCall

          public com.squareup.okhttp.Call deleteScheduleCall(String clusterName,
                                                             BigDecimal scheduleId,
                                                             String serviceName,
                                                             ProgressResponseBody.ProgressListener progressListener,
                                                             ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                      throws ApiException

      Build call for deleteSchedule
      Parameters:
        `clusterName` - (required)
        `scheduleId` - Id of an existing replication schedule. (required)
        `serviceName` - The service name. (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### deleteSchedule

          public ApiReplicationSchedule deleteSchedule(String clusterName,
                                                       BigDecimal scheduleId,
                                                       String serviceName)
                                                throws ApiException

      Deletes an existing replication schedule. Deletes an existing replication schedule. <p> Available since API v3. Only available with Cloudera Manager Enterprise Edition.
      Parameters:
        `clusterName` - (required)
        `scheduleId` - Id of an existing replication schedule. (required)
        `serviceName` - The service name. (required)
      Returns:
        ApiReplicationSchedule
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### deleteScheduleWithHttpInfo

          public ApiResponse<ApiReplicationSchedule> deleteScheduleWithHttpInfo(String clusterName,
                                                                                BigDecimal scheduleId,
                                                                                String serviceName)
                                                                         throws ApiException

      Deletes an existing replication schedule. Deletes an existing replication schedule. <p> Available since API v3. Only available with Cloudera Manager Enterprise Edition.
      Parameters:
        `clusterName` - (required)
        `scheduleId` - Id of an existing replication schedule. (required)
        `serviceName` - The service name. (required)
      Returns:
        ApiResponse<ApiReplicationSchedule>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### deleteScheduleAsync

          public com.squareup.okhttp.Call deleteScheduleAsync(String clusterName,
                                                              BigDecimal scheduleId,
                                                              String serviceName,
                                                              ApiCallback<ApiReplicationSchedule> callback)
                                                       throws ApiException

      Deletes an existing replication schedule. (asynchronously) Deletes an existing replication schedule. <p> Available since API v3. Only available with Cloudera Manager Enterprise Edition.
      Parameters:
        `clusterName` - (required)
        `scheduleId` - Id of an existing replication schedule. (required)
        `serviceName` - The service name. (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### fetchHBaseColumnFamiliesCall

          public com.squareup.okhttp.Call fetchHBaseColumnFamiliesCall(String clusterName,
                                                                       String serviceName,
                                                                       ApiHBaseTableNames body,
                                                                       ProgressResponseBody.ProgressListener progressListener,
                                                                       ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                                throws ApiException

      Build call for fetchHBaseColumnFamilies
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
        `body` - Names of tables to query for column families. (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### fetchHBaseColumnFamilies

          public ApiCommand fetchHBaseColumnFamilies(String clusterName,
                                                     String serviceName,
                                                     ApiHBaseTableNames body)
                                              throws ApiException

      Starts a command that fetches column families for the desired tables. Starts a command that fetches column families for the desired tables.
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
        `body` - Names of tables to query for column families. (optional)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### fetchHBaseColumnFamiliesWithHttpInfo

          public ApiResponse<ApiCommand> fetchHBaseColumnFamiliesWithHttpInfo(String clusterName,
                                                                              String serviceName,
                                                                              ApiHBaseTableNames body)
                                                                       throws ApiException

      Starts a command that fetches column families for the desired tables. Starts a command that fetches column families for the desired tables.
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
        `body` - Names of tables to query for column families. (optional)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### fetchHBaseColumnFamiliesAsync

          public com.squareup.okhttp.Call fetchHBaseColumnFamiliesAsync(String clusterName,
                                                                        String serviceName,
                                                                        ApiHBaseTableNames body,
                                                                        ApiCallback<ApiCommand> callback)
                                                                 throws ApiException

      Starts a command that fetches column families for the desired tables. (asynchronously) Starts a command that fetches column families for the desired tables.
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
        `body` - Names of tables to query for column families. (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### fetchHBasePeerInfoCall

          public com.squareup.okhttp.Call fetchHBasePeerInfoCall(String clusterName,
                                                                 String serviceName,
                                                                 ApiHBasePeerId body,
                                                                 ProgressResponseBody.ProgressListener progressListener,
                                                                 ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                          throws ApiException

      Build call for fetchHBasePeerInfo
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
        `body` - ID of the fetched peer. (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### fetchHBasePeerInfo

          public ApiCommand fetchHBasePeerInfo(String clusterName,
                                               String serviceName,
                                               ApiHBasePeerId body)
                                        throws ApiException

      Starts a command that fetches information about an HBase peer by its ID. Starts a command that fetches information about an HBase peer by its ID.
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
        `body` - ID of the fetched peer. (optional)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### fetchHBasePeerInfoWithHttpInfo

          public ApiResponse<ApiCommand> fetchHBasePeerInfoWithHttpInfo(String clusterName,
                                                                        String serviceName,
                                                                        ApiHBasePeerId body)
                                                                 throws ApiException

      Starts a command that fetches information about an HBase peer by its ID. Starts a command that fetches information about an HBase peer by its ID.
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
        `body` - ID of the fetched peer. (optional)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### fetchHBasePeerInfoAsync

          public com.squareup.okhttp.Call fetchHBasePeerInfoAsync(String clusterName,
                                                                  String serviceName,
                                                                  ApiHBasePeerId body,
                                                                  ApiCallback<ApiCommand> callback)
                                                           throws ApiException

      Starts a command that fetches information about an HBase peer by its ID. (asynchronously) Starts a command that fetches information about an HBase peer by its ID.
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
        `body` - ID of the fetched peer. (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### forceDeleteScheduleCall

          public com.squareup.okhttp.Call forceDeleteScheduleCall(String clusterName,
                                                                  BigDecimal scheduleId,
                                                                  String serviceName,
                                                                  ProgressResponseBody.ProgressListener progressListener,
                                                                  ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                           throws ApiException

      Build call for forceDeleteSchedule
      Parameters:
        `clusterName` - (required)
        `scheduleId` - Id of an existing replication schedule. (required)
        `serviceName` - The service name. (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### forceDeleteSchedule

          public ApiReplicationSchedule forceDeleteSchedule(String clusterName,
                                                            BigDecimal scheduleId,
                                                            String serviceName)
                                                     throws ApiException

      Deletes an existing replication schedule only from the DB. Deletes an existing replication schedule only from the DB. <p> Only the DB schedule reference is deleted with no further cleanup on the source or target side. Typically this endpoint can be used when the source cluster is not available any more and normal policy delete fails during cleanup. Available since API v46. Only available with Cloudera Manager Enterprise Edition.
      Parameters:
        `clusterName` - (required)
        `scheduleId` - Id of an existing replication schedule. (required)
        `serviceName` - The service name. (required)
      Returns:
        ApiReplicationSchedule
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### forceDeleteScheduleWithHttpInfo

          public ApiResponse<ApiReplicationSchedule> forceDeleteScheduleWithHttpInfo(String clusterName,
                                                                                     BigDecimal scheduleId,
                                                                                     String serviceName)
                                                                              throws ApiException

      Deletes an existing replication schedule only from the DB. Deletes an existing replication schedule only from the DB. <p> Only the DB schedule reference is deleted with no further cleanup on the source or target side. Typically this endpoint can be used when the source cluster is not available any more and normal policy delete fails during cleanup. Available since API v46. Only available with Cloudera Manager Enterprise Edition.
      Parameters:
        `clusterName` - (required)
        `scheduleId` - Id of an existing replication schedule. (required)
        `serviceName` - The service name. (required)
      Returns:
        ApiResponse<ApiReplicationSchedule>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### forceDeleteScheduleAsync

          public com.squareup.okhttp.Call forceDeleteScheduleAsync(String clusterName,
                                                                   BigDecimal scheduleId,
                                                                   String serviceName,
                                                                   ApiCallback<ApiReplicationSchedule> callback)
                                                            throws ApiException

      Deletes an existing replication schedule only from the DB. (asynchronously) Deletes an existing replication schedule only from the DB. <p> Only the DB schedule reference is deleted with no further cleanup on the source or target side. Typically this endpoint can be used when the source cluster is not available any more and normal policy delete fails during cleanup. Available since API v46. Only available with Cloudera Manager Enterprise Edition.
      Parameters:
        `clusterName` - (required)
        `scheduleId` - Id of an existing replication schedule. (required)
        `serviceName` - The service name. (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### generateCloudReplCredstorePasswordCall

          public com.squareup.okhttp.Call generateCloudReplCredstorePasswordCall(String clusterName,
                                                                                 String serviceName,
                                                                                 String passwordGenerateMode,
                                                                                 ProgressResponseBody.ProgressListener progressListener,
                                                                                 ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                                          throws ApiException

      Build call for generateCloudReplCredstorePassword
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
        `passwordGenerateMode` - the CloudReplPasswordGenerateMode to be used for regenerating the password. (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### generateCloudReplCredstorePassword

          public Boolean generateCloudReplCredstorePassword(String clusterName,
                                                            String serviceName,
                                                            String passwordGenerateMode)
                                                     throws ApiException

      (Re)generates the cloud credential provider password, used by the given service, for replicating to the cloud. (Re)generates the cloud credential provider password, used by the given service, for replicating to the cloud. <br/> Calling this API endpoint may cause staleness for the given service. <br/> NOTE: If this API endpoint REGENERATED the credstore password successfully and there are existing credstore provider jceks files on HDFS, protected by this password, then these jceks files should be recreated by using the following API endpoint: #recreateCloudCredstoresOnHdfs().
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
        `passwordGenerateMode` - the CloudReplPasswordGenerateMode to be used for regenerating the password. (optional)
      Returns:
        Boolean
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### generateCloudReplCredstorePasswordWithHttpInfo

          public ApiResponse<Boolean> generateCloudReplCredstorePasswordWithHttpInfo(String clusterName,
                                                                                     String serviceName,
                                                                                     String passwordGenerateMode)
                                                                              throws ApiException

      (Re)generates the cloud credential provider password, used by the given service, for replicating to the cloud. (Re)generates the cloud credential provider password, used by the given service, for replicating to the cloud. <br/> Calling this API endpoint may cause staleness for the given service. <br/> NOTE: If this API endpoint REGENERATED the credstore password successfully and there are existing credstore provider jceks files on HDFS, protected by this password, then these jceks files should be recreated by using the following API endpoint: #recreateCloudCredstoresOnHdfs().
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
        `passwordGenerateMode` - the CloudReplPasswordGenerateMode to be used for regenerating the password. (optional)
      Returns:
        ApiResponse<Boolean>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### generateCloudReplCredstorePasswordAsync

          public com.squareup.okhttp.Call generateCloudReplCredstorePasswordAsync(String clusterName,
                                                                                  String serviceName,
                                                                                  String passwordGenerateMode,
                                                                                  ApiCallback<Boolean> callback)
                                                                           throws ApiException

      (Re)generates the cloud credential provider password, used by the given service, for replicating to the cloud. (asynchronously) (Re)generates the cloud credential provider password, used by the given service, for replicating to the cloud. <br/> Calling this API endpoint may cause staleness for the given service. <br/> NOTE: If this API endpoint REGENERATED the credstore password successfully and there are existing credstore provider jceks files on HDFS, protected by this password, then these jceks files should be recreated by using the following API endpoint: #recreateCloudCredstoresOnHdfs().
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
        `passwordGenerateMode` - the CloudReplPasswordGenerateMode to be used for regenerating the password. (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### getReplicationStateCall

          public com.squareup.okhttp.Call getReplicationStateCall(String clusterName,
                                                                  String serviceName,
                                                                  String view,
                                                                  ProgressResponseBody.ProgressListener progressListener,
                                                                  ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                           throws ApiException

      Build call for getReplicationState
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
        `view` - view to materialize (optional, default to summary)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### getReplicationState

          public ApiReplicationState getReplicationState(String clusterName,
                                                         String serviceName,
                                                         String view)
                                                  throws ApiException

      returns the replication state. returns the replication state. for example if incremental export is enabled, etc
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
        `view` - view to materialize (optional, default to summary)
      Returns:
        ApiReplicationState
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getReplicationStateWithHttpInfo

          public ApiResponse<ApiReplicationState> getReplicationStateWithHttpInfo(String clusterName,
                                                                                  String serviceName,
                                                                                  String view)
                                                                           throws ApiException

      returns the replication state. returns the replication state. for example if incremental export is enabled, etc
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
        `view` - view to materialize (optional, default to summary)
      Returns:
        ApiResponse<ApiReplicationState>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getReplicationStateAsync

          public com.squareup.okhttp.Call getReplicationStateAsync(String clusterName,
                                                                   String serviceName,
                                                                   String view,
                                                                   ApiCallback<ApiReplicationState> callback)
                                                            throws ApiException

      returns the replication state. (asynchronously) returns the replication state. for example if incremental export is enabled, etc
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
        `view` - view to materialize (optional, default to summary)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### isHive3ReverseDirectionEnabledCall

          public com.squareup.okhttp.Call isHive3ReverseDirectionEnabledCall(String clusterName,
                                                                             String serviceName,
                                                                             String clusterUuidOnRemote,
                                                                             String serviceNameOnRemote,
                                                                             String sourceDbNameOnRemote,
                                                                             String targetDbNameOnRemote,
                                                                             ProgressResponseBody.ProgressListener progressListener,
                                                                             ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                                      throws ApiException

      Build call for isHive3ReverseDirectionEnabled
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
        `clusterUuidOnRemote` - the uuid of the cluster on the remote CM server (optional)
        `serviceNameOnRemote` - the Hive3 service name on the remote CM server, more specifically on the cluster specified by clusterUuidOnRemote (optional)
        `sourceDbNameOnRemote` - the name of the source database on the remote CM server (optional)
        `targetDbNameOnRemote` - the name of the target database on the remote CM server (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### isHive3ReverseDirectionEnabled

          public Boolean isHive3ReverseDirectionEnabled(String clusterName,
                                                        String serviceName,
                                                        String clusterUuidOnRemote,
                                                        String serviceNameOnRemote,
                                                        String sourceDbNameOnRemote,
                                                        String targetDbNameOnRemote)
                                                 throws ApiException

      This API endpoint checks if there is an ENABLED Hive3 replication policy on this server that replicates for the reverse direction. This API endpoint checks if there is an ENABLED Hive3 replication policy on this server that replicates for the reverse direction. Bidirectional Hive3 replication policies are allowed, but only one direction can be ENABLED at the same time.
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
        `clusterUuidOnRemote` - the uuid of the cluster on the remote CM server (optional)
        `serviceNameOnRemote` - the Hive3 service name on the remote CM server, more specifically on the cluster specified by clusterUuidOnRemote (optional)
        `sourceDbNameOnRemote` - the name of the source database on the remote CM server (optional)
        `targetDbNameOnRemote` - the name of the target database on the remote CM server (optional)
      Returns:
        Boolean
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### isHive3ReverseDirectionEnabledWithHttpInfo

          public ApiResponse<Boolean> isHive3ReverseDirectionEnabledWithHttpInfo(String clusterName,
                                                                                 String serviceName,
                                                                                 String clusterUuidOnRemote,
                                                                                 String serviceNameOnRemote,
                                                                                 String sourceDbNameOnRemote,
                                                                                 String targetDbNameOnRemote)
                                                                          throws ApiException

      This API endpoint checks if there is an ENABLED Hive3 replication policy on this server that replicates for the reverse direction. This API endpoint checks if there is an ENABLED Hive3 replication policy on this server that replicates for the reverse direction. Bidirectional Hive3 replication policies are allowed, but only one direction can be ENABLED at the same time.
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
        `clusterUuidOnRemote` - the uuid of the cluster on the remote CM server (optional)
        `serviceNameOnRemote` - the Hive3 service name on the remote CM server, more specifically on the cluster specified by clusterUuidOnRemote (optional)
        `sourceDbNameOnRemote` - the name of the source database on the remote CM server (optional)
        `targetDbNameOnRemote` - the name of the target database on the remote CM server (optional)
      Returns:
        ApiResponse<Boolean>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### isHive3ReverseDirectionEnabledAsync

          public com.squareup.okhttp.Call isHive3ReverseDirectionEnabledAsync(String clusterName,
                                                                              String serviceName,
                                                                              String clusterUuidOnRemote,
                                                                              String serviceNameOnRemote,
                                                                              String sourceDbNameOnRemote,
                                                                              String targetDbNameOnRemote,
                                                                              ApiCallback<Boolean> callback)
                                                                       throws ApiException

      This API endpoint checks if there is an ENABLED Hive3 replication policy on this server that replicates for the reverse direction. (asynchronously) This API endpoint checks if there is an ENABLED Hive3 replication policy on this server that replicates for the reverse direction. Bidirectional Hive3 replication policies are allowed, but only one direction can be ENABLED at the same time.
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
        `clusterUuidOnRemote` - the uuid of the cluster on the remote CM server (optional)
        `serviceNameOnRemote` - the Hive3 service name on the remote CM server, more specifically on the cluster specified by clusterUuidOnRemote (optional)
        `sourceDbNameOnRemote` - the name of the source database on the remote CM server (optional)
        `targetDbNameOnRemote` - the name of the target database on the remote CM server (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### listHBaseNamespacesCall

          public com.squareup.okhttp.Call listHBaseNamespacesCall(String clusterName,
                                                                  String serviceName,
                                                                  ProgressResponseBody.ProgressListener progressListener,
                                                                  ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                           throws ApiException

      Build call for listHBaseNamespaces
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### listHBaseNamespaces

          public ApiCommand listHBaseNamespaces(String clusterName,
                                                String serviceName)
                                         throws ApiException

      Starts a command that lists all namespaces in HBase. Starts a command that lists all namespaces in HBase.
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### listHBaseNamespacesWithHttpInfo

          public ApiResponse<ApiCommand> listHBaseNamespacesWithHttpInfo(String clusterName,
                                                                         String serviceName)
                                                                  throws ApiException

      Starts a command that lists all namespaces in HBase. Starts a command that lists all namespaces in HBase.
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### listHBaseNamespacesAsync

          public com.squareup.okhttp.Call listHBaseNamespacesAsync(String clusterName,
                                                                   String serviceName,
                                                                   ApiCallback<ApiCommand> callback)
                                                            throws ApiException

      Starts a command that lists all namespaces in HBase. (asynchronously) Starts a command that lists all namespaces in HBase.
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### listHBasePeersCall

          public com.squareup.okhttp.Call listHBasePeersCall(String clusterName,
                                                             String serviceName,
                                                             ProgressResponseBody.ProgressListener progressListener,
                                                             ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                      throws ApiException

      Build call for listHBasePeers
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### listHBasePeers

          public ApiCommand listHBasePeers(String clusterName,
                                           String serviceName)
                                    throws ApiException

      Starts a command that retrieves all peers registered in the HBase service. Starts a command that retrieves all peers registered in the HBase service.
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### listHBasePeersWithHttpInfo

          public ApiResponse<ApiCommand> listHBasePeersWithHttpInfo(String clusterName,
                                                                    String serviceName)
                                                             throws ApiException

      Starts a command that retrieves all peers registered in the HBase service. Starts a command that retrieves all peers registered in the HBase service.
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### listHBasePeersAsync

          public com.squareup.okhttp.Call listHBasePeersAsync(String clusterName,
                                                              String serviceName,
                                                              ApiCallback<ApiCommand> callback)
                                                       throws ApiException

      Starts a command that retrieves all peers registered in the HBase service. (asynchronously) Starts a command that retrieves all peers registered in the HBase service.
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### listHBaseTablesCall

          public com.squareup.okhttp.Call listHBaseTablesCall(String clusterName,
                                                              String serviceName,
                                                              ProgressResponseBody.ProgressListener progressListener,
                                                              ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                       throws ApiException

      Build call for listHBaseTables
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### listHBaseTables

          public ApiCommand listHBaseTables(String clusterName,
                                            String serviceName)
                                     throws ApiException

      Starts a command that lists tables from the HBase service. Starts a command that lists tables from the HBase service.
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### listHBaseTablesWithHttpInfo

          public ApiResponse<ApiCommand> listHBaseTablesWithHttpInfo(String clusterName,
                                                                     String serviceName)
                                                              throws ApiException

      Starts a command that lists tables from the HBase service. Starts a command that lists tables from the HBase service.
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### listHBaseTablesAsync

          public com.squareup.okhttp.Call listHBaseTablesAsync(String clusterName,
                                                               String serviceName,
                                                               ApiCallback<ApiCommand> callback)
                                                        throws ApiException

      Starts a command that lists tables from the HBase service. (asynchronously) Starts a command that lists tables from the HBase service.
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### readHistoryCall

          public com.squareup.okhttp.Call readHistoryCall(String clusterName,
                                                          BigDecimal scheduleId,
                                                          String serviceName,
                                                          BigDecimal limit,
                                                          BigDecimal offset,
                                                          String view,
                                                          ProgressResponseBody.ProgressListener progressListener,
                                                          ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                   throws ApiException

      Build call for readHistory
      Parameters:
        `clusterName` - (required)
        `scheduleId` - Id of an existing replication schedule. (required)
        `serviceName` - The service name. (required)
        `limit` - Maximum number of commands to retrieve. (optional, default to 20)
        `offset` - Index of first command to retrieve. (optional, default to 0)
        `view` - The view to materialize. (optional, default to summary)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### readHistory

          public ApiReplicationCommandList readHistory(String clusterName,
                                                       BigDecimal scheduleId,
                                                       String serviceName,
                                                       BigDecimal limit,
                                                       BigDecimal offset,
                                                       String view)
                                                throws ApiException

      Returns a list of commands triggered by a schedule. Returns a list of commands triggered by a schedule.
      Parameters:
        `clusterName` - (required)
        `scheduleId` - Id of an existing replication schedule. (required)
        `serviceName` - The service name. (required)
        `limit` - Maximum number of commands to retrieve. (optional, default to 20)
        `offset` - Index of first command to retrieve. (optional, default to 0)
        `view` - The view to materialize. (optional, default to summary)
      Returns:
        ApiReplicationCommandList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readHistoryWithHttpInfo

          public ApiResponse<ApiReplicationCommandList> readHistoryWithHttpInfo(String clusterName,
                                                                                BigDecimal scheduleId,
                                                                                String serviceName,
                                                                                BigDecimal limit,
                                                                                BigDecimal offset,
                                                                                String view)
                                                                         throws ApiException

      Returns a list of commands triggered by a schedule. Returns a list of commands triggered by a schedule.
      Parameters:
        `clusterName` - (required)
        `scheduleId` - Id of an existing replication schedule. (required)
        `serviceName` - The service name. (required)
        `limit` - Maximum number of commands to retrieve. (optional, default to 20)
        `offset` - Index of first command to retrieve. (optional, default to 0)
        `view` - The view to materialize. (optional, default to summary)
      Returns:
        ApiResponse<ApiReplicationCommandList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readHistoryAsync

          public com.squareup.okhttp.Call readHistoryAsync(String clusterName,
                                                           BigDecimal scheduleId,
                                                           String serviceName,
                                                           BigDecimal limit,
                                                           BigDecimal offset,
                                                           String view,
                                                           ApiCallback<ApiReplicationCommandList> callback)
                                                    throws ApiException

      Returns a list of commands triggered by a schedule. (asynchronously) Returns a list of commands triggered by a schedule.
      Parameters:
        `clusterName` - (required)
        `scheduleId` - Id of an existing replication schedule. (required)
        `serviceName` - The service name. (required)
        `limit` - Maximum number of commands to retrieve. (optional, default to 20)
        `offset` - Index of first command to retrieve. (optional, default to 0)
        `view` - The view to materialize. (optional, default to summary)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### readScheduleCall

          public com.squareup.okhttp.Call readScheduleCall(String clusterName,
                                                           BigDecimal scheduleId,
                                                           String serviceName,
                                                           String view,
                                                           ProgressResponseBody.ProgressListener progressListener,
                                                           ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                    throws ApiException

      Build call for readSchedule
      Parameters:
        `clusterName` - (required)
        `scheduleId` - Id of an existing replication schedule. (required)
        `serviceName` - The service name. (required)
        `view` - The view to materialize. (optional, default to summary)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### readSchedule

          public ApiReplicationSchedule readSchedule(String clusterName,
                                                     BigDecimal scheduleId,
                                                     String serviceName,
                                                     String view)
                                              throws ApiException

      Returns information for a specific replication schedule. Returns information for a specific replication schedule. <p> Available since API v3. Only available with Cloudera Manager Enterprise Edition.
      Parameters:
        `clusterName` - (required)
        `scheduleId` - Id of an existing replication schedule. (required)
        `serviceName` - The service name. (required)
        `view` - The view to materialize. (optional, default to summary)
      Returns:
        ApiReplicationSchedule
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readScheduleWithHttpInfo

          public ApiResponse<ApiReplicationSchedule> readScheduleWithHttpInfo(String clusterName,
                                                                              BigDecimal scheduleId,
                                                                              String serviceName,
                                                                              String view)
                                                                       throws ApiException

      Returns information for a specific replication schedule. Returns information for a specific replication schedule. <p> Available since API v3. Only available with Cloudera Manager Enterprise Edition.
      Parameters:
        `clusterName` - (required)
        `scheduleId` - Id of an existing replication schedule. (required)
        `serviceName` - The service name. (required)
        `view` - The view to materialize. (optional, default to summary)
      Returns:
        ApiResponse<ApiReplicationSchedule>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readScheduleAsync

          public com.squareup.okhttp.Call readScheduleAsync(String clusterName,
                                                            BigDecimal scheduleId,
                                                            String serviceName,
                                                            String view,
                                                            ApiCallback<ApiReplicationSchedule> callback)
                                                     throws ApiException

      Returns information for a specific replication schedule. (asynchronously) Returns information for a specific replication schedule. <p> Available since API v3. Only available with Cloudera Manager Enterprise Edition.
      Parameters:
        `clusterName` - (required)
        `scheduleId` - Id of an existing replication schedule. (required)
        `serviceName` - The service name. (required)
        `view` - The view to materialize. (optional, default to summary)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### readSchedulesCall

          public com.squareup.okhttp.Call readSchedulesCall(String clusterName,
                                                            String serviceName,
                                                            BigDecimal maxCommands,
                                                            BigDecimal maxErrors,
                                                            BigDecimal maxSchedules,
                                                            BigDecimal maxTables,
                                                            String view,
                                                            ProgressResponseBody.ProgressListener progressListener,
                                                            ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                     throws ApiException

      Build call for readSchedules
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
        `maxCommands` - Maximum number of commands to include in the history of replication schedules. By default, it has no limit. Pass 0 to explicitly set to unlimited. (optional, default to 0)
        `maxErrors` - Maximum number of errors per Hive replication command. By default, it has no limit. Pass 0 to explicitly set to unlimited. (optional, default to 0)
        `maxSchedules` - Maximum number of replication schedules to be included in the response. By default, it has no limit. Pass 0 to explicitly set to unlimited. (optional, default to 0)
        `maxTables` - Maximum number of tables per Hive replication command. By default, it has no limit. Pass 0 to explicitly set to unlimited. (optional, default to 0)
        `view` - The view to materialize. (optional, default to summary)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### readSchedules

          public ApiReplicationScheduleList readSchedules(String clusterName,
                                                          String serviceName,
                                                          BigDecimal maxCommands,
                                                          BigDecimal maxErrors,
                                                          BigDecimal maxSchedules,
                                                          BigDecimal maxTables,
                                                          String view)
                                                   throws ApiException

      Retrieves information about replication schedules. Retrieves information about replication schedules.
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
        `maxCommands` - Maximum number of commands to include in the history of replication schedules. By default, it has no limit. Pass 0 to explicitly set to unlimited. (optional, default to 0)
        `maxErrors` - Maximum number of errors per Hive replication command. By default, it has no limit. Pass 0 to explicitly set to unlimited. (optional, default to 0)
        `maxSchedules` - Maximum number of replication schedules to be included in the response. By default, it has no limit. Pass 0 to explicitly set to unlimited. (optional, default to 0)
        `maxTables` - Maximum number of tables per Hive replication command. By default, it has no limit. Pass 0 to explicitly set to unlimited. (optional, default to 0)
        `view` - The view to materialize. (optional, default to summary)
      Returns:
        ApiReplicationScheduleList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readSchedulesWithHttpInfo

          public ApiResponse<ApiReplicationScheduleList> readSchedulesWithHttpInfo(String clusterName,
                                                                                   String serviceName,
                                                                                   BigDecimal maxCommands,
                                                                                   BigDecimal maxErrors,
                                                                                   BigDecimal maxSchedules,
                                                                                   BigDecimal maxTables,
                                                                                   String view)
                                                                            throws ApiException

      Retrieves information about replication schedules. Retrieves information about replication schedules.
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
        `maxCommands` - Maximum number of commands to include in the history of replication schedules. By default, it has no limit. Pass 0 to explicitly set to unlimited. (optional, default to 0)
        `maxErrors` - Maximum number of errors per Hive replication command. By default, it has no limit. Pass 0 to explicitly set to unlimited. (optional, default to 0)
        `maxSchedules` - Maximum number of replication schedules to be included in the response. By default, it has no limit. Pass 0 to explicitly set to unlimited. (optional, default to 0)
        `maxTables` - Maximum number of tables per Hive replication command. By default, it has no limit. Pass 0 to explicitly set to unlimited. (optional, default to 0)
        `view` - The view to materialize. (optional, default to summary)
      Returns:
        ApiResponse<ApiReplicationScheduleList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readSchedulesAsync

          public com.squareup.okhttp.Call readSchedulesAsync(String clusterName,
                                                             String serviceName,
                                                             BigDecimal maxCommands,
                                                             BigDecimal maxErrors,
                                                             BigDecimal maxSchedules,
                                                             BigDecimal maxTables,
                                                             String view,
                                                             ApiCallback<ApiReplicationScheduleList> callback)
                                                      throws ApiException

      Retrieves information about replication schedules. (asynchronously) Retrieves information about replication schedules.
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
        `maxCommands` - Maximum number of commands to include in the history of replication schedules. By default, it has no limit. Pass 0 to explicitly set to unlimited. (optional, default to 0)
        `maxErrors` - Maximum number of errors per Hive replication command. By default, it has no limit. Pass 0 to explicitly set to unlimited. (optional, default to 0)
        `maxSchedules` - Maximum number of replication schedules to be included in the response. By default, it has no limit. Pass 0 to explicitly set to unlimited. (optional, default to 0)
        `maxTables` - Maximum number of tables per Hive replication command. By default, it has no limit. Pass 0 to explicitly set to unlimited. (optional, default to 0)
        `view` - The view to materialize. (optional, default to summary)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### recreateCloudCredstoresOnHdfsCall

          public com.squareup.okhttp.Call recreateCloudCredstoresOnHdfsCall(String clusterName,
                                                                            String serviceName,
                                                                            ProgressResponseBody.ProgressListener progressListener,
                                                                            ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                                     throws ApiException

      Build call for recreateCloudCredstoresOnHdfs
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### recreateCloudCredstoresOnHdfs

          public ApiCommand recreateCloudCredstoresOnHdfs(String clusterName,
                                                          String serviceName)
                                                   throws ApiException

      Recreates the existing credential provider jceks files on HDFS, that are used by the given service, for replicating to the cloud. Recreates the existing credential provider jceks files on HDFS, that are used by the given service, for replicating to the cloud.
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### recreateCloudCredstoresOnHdfsWithHttpInfo

          public ApiResponse<ApiCommand> recreateCloudCredstoresOnHdfsWithHttpInfo(String clusterName,
                                                                                   String serviceName)
                                                                            throws ApiException

      Recreates the existing credential provider jceks files on HDFS, that are used by the given service, for replicating to the cloud. Recreates the existing credential provider jceks files on HDFS, that are used by the given service, for replicating to the cloud.
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### recreateCloudCredstoresOnHdfsAsync

          public com.squareup.okhttp.Call recreateCloudCredstoresOnHdfsAsync(String clusterName,
                                                                             String serviceName,
                                                                             ApiCallback<ApiCommand> callback)
                                                                      throws ApiException

      Recreates the existing credential provider jceks files on HDFS, that are used by the given service, for replicating to the cloud. (asynchronously) Recreates the existing credential provider jceks files on HDFS, that are used by the given service, for replicating to the cloud.
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### removeHBasePeerCall

          public com.squareup.okhttp.Call removeHBasePeerCall(String clusterName,
                                                              String serviceName,
                                                              ApiHBasePeerId body,
                                                              ProgressResponseBody.ProgressListener progressListener,
                                                              ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                       throws ApiException

      Build call for removeHBasePeer
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
        `body` - ID of the peer to be removed. (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### removeHBasePeer

          public ApiCommand removeHBasePeer(String clusterName,
                                            String serviceName,
                                            ApiHBasePeerId body)
                                     throws ApiException

      Starts a command that removes the specified HBase replication peer from the local HBase service. Starts a command that removes the specified HBase replication peer from the local HBase service.
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
        `body` - ID of the peer to be removed. (optional)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### removeHBasePeerWithHttpInfo

          public ApiResponse<ApiCommand> removeHBasePeerWithHttpInfo(String clusterName,
                                                                     String serviceName,
                                                                     ApiHBasePeerId body)
                                                              throws ApiException

      Starts a command that removes the specified HBase replication peer from the local HBase service. Starts a command that removes the specified HBase replication peer from the local HBase service.
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
        `body` - ID of the peer to be removed. (optional)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### removeHBasePeerAsync

          public com.squareup.okhttp.Call removeHBasePeerAsync(String clusterName,
                                                               String serviceName,
                                                               ApiHBasePeerId body,
                                                               ApiCallback<ApiCommand> callback)
                                                        throws ApiException

      Starts a command that removes the specified HBase replication peer from the local HBase service. (asynchronously) Starts a command that removes the specified HBase replication peer from the local HBase service.
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
        `body` - ID of the peer to be removed. (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### removeTablesFromHBasePeerCall

          public com.squareup.okhttp.Call removeTablesFromHBasePeerCall(String clusterName,
                                                                        String serviceName,
                                                                        ApiHBasePeerIdWithTableCFs body,
                                                                        ProgressResponseBody.ProgressListener progressListener,
                                                                        ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                                 throws ApiException

      Build call for removeTablesFromHBasePeer
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
        `body` - Arguments for removing tables from HBase replication peer. (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### removeTablesFromHBasePeer

          public ApiCommand removeTablesFromHBasePeer(String clusterName,
                                                      String serviceName,
                                                      ApiHBasePeerIdWithTableCFs body)
                                               throws ApiException

      Starts a command that removes tables and column families from an existing HBase replication peer. Starts a command that removes tables and column families from an existing HBase replication peer.
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
        `body` - Arguments for removing tables from HBase replication peer. (optional)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### removeTablesFromHBasePeerWithHttpInfo

          public ApiResponse<ApiCommand> removeTablesFromHBasePeerWithHttpInfo(String clusterName,
                                                                               String serviceName,
                                                                               ApiHBasePeerIdWithTableCFs body)
                                                                        throws ApiException

      Starts a command that removes tables and column families from an existing HBase replication peer. Starts a command that removes tables and column families from an existing HBase replication peer.
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
        `body` - Arguments for removing tables from HBase replication peer. (optional)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### removeTablesFromHBasePeerAsync

          public com.squareup.okhttp.Call removeTablesFromHBasePeerAsync(String clusterName,
                                                                         String serviceName,
                                                                         ApiHBasePeerIdWithTableCFs body,
                                                                         ApiCallback<ApiCommand> callback)
                                                                  throws ApiException

      Starts a command that removes tables and column families from an existing HBase replication peer. (asynchronously) Starts a command that removes tables and column families from an existing HBase replication peer.
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
        `body` - Arguments for removing tables from HBase replication peer. (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### rescheduleHive3ReplicationMetricsGetterCall

          public com.squareup.okhttp.Call rescheduleHive3ReplicationMetricsGetterCall(String clusterName,
                                                                                      String serviceName,
                                                                                      BigDecimal nextStartMins,
                                                                                      ProgressResponseBody.ProgressListener progressListener,
                                                                                      ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                                               throws ApiException

      Build call for rescheduleHive3ReplicationMetricsGetter
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
        `nextStartMins` - (optional, default to 5)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### rescheduleHive3ReplicationMetricsGetter

          public Boolean rescheduleHive3ReplicationMetricsGetter(String clusterName,
                                                                 String serviceName,
                                                                 BigDecimal nextStartMins)
                                                          throws ApiException

      Set the Hive3 Replication Metrics Getter next start time. Set the Hive3 Replication Metrics Getter next start time. <p> (Re)set the Hive3 Replication Metrics Getter next start time. Should be only used if the Getter needs to be manually started. <p>
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
        `nextStartMins` - (optional, default to 5)
      Returns:
        Boolean
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### rescheduleHive3ReplicationMetricsGetterWithHttpInfo

          public ApiResponse<Boolean> rescheduleHive3ReplicationMetricsGetterWithHttpInfo(String clusterName,
                                                                                          String serviceName,
                                                                                          BigDecimal nextStartMins)
                                                                                   throws ApiException

      Set the Hive3 Replication Metrics Getter next start time. Set the Hive3 Replication Metrics Getter next start time. <p> (Re)set the Hive3 Replication Metrics Getter next start time. Should be only used if the Getter needs to be manually started. <p>
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
        `nextStartMins` - (optional, default to 5)
      Returns:
        ApiResponse<Boolean>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### rescheduleHive3ReplicationMetricsGetterAsync

          public com.squareup.okhttp.Call rescheduleHive3ReplicationMetricsGetterAsync(String clusterName,
                                                                                       String serviceName,
                                                                                       BigDecimal nextStartMins,
                                                                                       ApiCallback<Boolean> callback)
                                                                                throws ApiException

      Set the Hive3 Replication Metrics Getter next start time. (asynchronously) Set the Hive3 Replication Metrics Getter next start time. <p> (Re)set the Hive3 Replication Metrics Getter next start time. Should be only used if the Getter needs to be manually started. <p>
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
        `nextStartMins` - (optional, default to 5)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### runCopyListingCall

          public com.squareup.okhttp.Call runCopyListingCall(String clusterName,
                                                             String serviceName,
                                                             String body,
                                                             ProgressResponseBody.ProgressListener progressListener,
                                                             ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                      throws ApiException

      Build call for runCopyListing
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
        `body` - (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### runCopyListing

          public ApiCommand runCopyListing(String clusterName,
                                           String serviceName,
                                           String body)
                                    throws ApiException

      Run the hdfs copy listing command. Run the hdfs copy listing command <p> The copy listing command will be triggered with the provided arguments <p> Available since API v18. Only available with Cloudera Manager Enterprise Edition.
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
        `body` - (optional)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### runCopyListingWithHttpInfo

          public ApiResponse<ApiCommand> runCopyListingWithHttpInfo(String clusterName,
                                                                    String serviceName,
                                                                    String body)
                                                             throws ApiException

      Run the hdfs copy listing command. Run the hdfs copy listing command <p> The copy listing command will be triggered with the provided arguments <p> Available since API v18. Only available with Cloudera Manager Enterprise Edition.
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
        `body` - (optional)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### runCopyListingAsync

          public com.squareup.okhttp.Call runCopyListingAsync(String clusterName,
                                                              String serviceName,
                                                              String body,
                                                              ApiCallback<ApiCommand> callback)
                                                       throws ApiException

      Run the hdfs copy listing command. (asynchronously) Run the hdfs copy listing command <p> The copy listing command will be triggered with the provided arguments <p> Available since API v18. Only available with Cloudera Manager Enterprise Edition.
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
        `body` - (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### runHBaseReplicationRetryFailedSnapshotsCall

          public com.squareup.okhttp.Call runHBaseReplicationRetryFailedSnapshotsCall(String clusterName,
                                                                                      BigDecimal scheduleId,
                                                                                      String serviceName,
                                                                                      ProgressResponseBody.ProgressListener progressListener,
                                                                                      ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                                               throws ApiException

      Build call for runHBaseReplicationRetryFailedSnapshots
      Parameters:
        `clusterName` - (required)
        `scheduleId` - The HBase schedule ID to retry on (required)
        `serviceName` - The service name. (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### runHBaseReplicationRetryFailedSnapshots

          public ApiCommand runHBaseReplicationRetryFailedSnapshots(String clusterName,
                                                                    BigDecimal scheduleId,
                                                                    String serviceName)
                                                             throws ApiException

      Executes a command to run a HBase replication retry on failed snapshots for the given schedule ID. Executes a command to run a HBase replication retry on failed snapshots for the given schedule ID
      Parameters:
        `clusterName` - (required)
        `scheduleId` - The HBase schedule ID to retry on (required)
        `serviceName` - The service name. (required)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### runHBaseReplicationRetryFailedSnapshotsWithHttpInfo

          public ApiResponse<ApiCommand> runHBaseReplicationRetryFailedSnapshotsWithHttpInfo(String clusterName,
                                                                                             BigDecimal scheduleId,
                                                                                             String serviceName)
                                                                                      throws ApiException

      Executes a command to run a HBase replication retry on failed snapshots for the given schedule ID. Executes a command to run a HBase replication retry on failed snapshots for the given schedule ID
      Parameters:
        `clusterName` - (required)
        `scheduleId` - The HBase schedule ID to retry on (required)
        `serviceName` - The service name. (required)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### runHBaseReplicationRetryFailedSnapshotsAsync

          public com.squareup.okhttp.Call runHBaseReplicationRetryFailedSnapshotsAsync(String clusterName,
                                                                                       BigDecimal scheduleId,
                                                                                       String serviceName,
                                                                                       ApiCallback<ApiCommand> callback)
                                                                                throws ApiException

      Executes a command to run a HBase replication retry on failed snapshots for the given schedule ID. (asynchronously) Executes a command to run a HBase replication retry on failed snapshots for the given schedule ID
      Parameters:
        `clusterName` - (required)
        `scheduleId` - The HBase schedule ID to retry on (required)
        `serviceName` - The service name. (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### runHBaseReplicationSecurityToolCall

          public com.squareup.okhttp.Call runHBaseReplicationSecurityToolCall(String clusterName,
                                                                              String serviceName,
                                                                              Object body,
                                                                              ProgressResponseBody.ProgressListener progressListener,
                                                                              ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                                       throws ApiException

      Build call for runHBaseReplicationSecurityTool
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
        `body` - (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### runHBaseReplicationSecurityTool

          public ApiCommand runHBaseReplicationSecurityTool(String clusterName,
                                                            String serviceName,
                                                            Object body)
                                                     throws ApiException

      Run the hbase replication security tool. Run the hbase replication security tool <p> The replication security tool is invoked against the provided arguments <p>
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
        `body` - (optional)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### runHBaseReplicationSecurityToolWithHttpInfo

          public ApiResponse<ApiCommand> runHBaseReplicationSecurityToolWithHttpInfo(String clusterName,
                                                                                     String serviceName,
                                                                                     Object body)
                                                                              throws ApiException

      Run the hbase replication security tool. Run the hbase replication security tool <p> The replication security tool is invoked against the provided arguments <p>
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
        `body` - (optional)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### runHBaseReplicationSecurityToolAsync

          public com.squareup.okhttp.Call runHBaseReplicationSecurityToolAsync(String clusterName,
                                                                               String serviceName,
                                                                               Object body,
                                                                               ApiCallback<ApiCommand> callback)
                                                                        throws ApiException

      Run the hbase replication security tool. (asynchronously) Run the hbase replication security tool <p> The replication security tool is invoked against the provided arguments <p>
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
        `body` - (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### runHBaseReplicationValidationToolCall

          public com.squareup.okhttp.Call runHBaseReplicationValidationToolCall(String clusterName,
                                                                                String serviceName,
                                                                                String hbasePeerId,
                                                                                ProgressResponseBody.ProgressListener progressListener,
                                                                                ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                                         throws ApiException

      Build call for runHBaseReplicationValidationTool
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
        `hbasePeerId` - The HBase peer ID to be validated (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### runHBaseReplicationValidationTool

          public ApiCommand runHBaseReplicationValidationTool(String clusterName,
                                                              String serviceName,
                                                              String hbasePeerId)
                                                       throws ApiException

      Executes a command, which validates if HBase replication works properly for the given hbasePeerId. Executes a command, which validates if HBase replication works properly for the given hbasePeerId
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
        `hbasePeerId` - The HBase peer ID to be validated (optional)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### runHBaseReplicationValidationToolWithHttpInfo

          public ApiResponse<ApiCommand> runHBaseReplicationValidationToolWithHttpInfo(String clusterName,
                                                                                       String serviceName,
                                                                                       String hbasePeerId)
                                                                                throws ApiException

      Executes a command, which validates if HBase replication works properly for the given hbasePeerId. Executes a command, which validates if HBase replication works properly for the given hbasePeerId
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
        `hbasePeerId` - The HBase peer ID to be validated (optional)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### runHBaseReplicationValidationToolAsync

          public com.squareup.okhttp.Call runHBaseReplicationValidationToolAsync(String clusterName,
                                                                                 String serviceName,
                                                                                 String hbasePeerId,
                                                                                 ApiCallback<ApiCommand> callback)
                                                                          throws ApiException

      Executes a command, which validates if HBase replication works properly for the given hbasePeerId. (asynchronously) Executes a command, which validates if HBase replication works properly for the given hbasePeerId
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
        `hbasePeerId` - The HBase peer ID to be validated (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### runHiveReplicationQueryCall

          public com.squareup.okhttp.Call runHiveReplicationQueryCall(String clusterName,
                                                                      String serviceName,
                                                                      ApiHive3ReplicationArguments body,
                                                                      ProgressResponseBody.ProgressListener progressListener,
                                                                      ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                               throws ApiException

      Build call for runHiveReplicationQuery
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
        `body` - (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### runHiveReplicationQuery

          public ApiCommand runHiveReplicationQuery(String clusterName,
                                                    String serviceName,
                                                    ApiHive3ReplicationArguments body)
                                             throws ApiException

      Execute a hive replication query on local HS2 service instance. Execute a hive replication query on local HS2 service instance <p> The command executes hive replication query on local HS2 instance with the provided arguments <p>
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
        `body` - (optional)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### runHiveReplicationQueryWithHttpInfo

          public ApiResponse<ApiCommand> runHiveReplicationQueryWithHttpInfo(String clusterName,
                                                                             String serviceName,
                                                                             ApiHive3ReplicationArguments body)
                                                                      throws ApiException

      Execute a hive replication query on local HS2 service instance. Execute a hive replication query on local HS2 service instance <p> The command executes hive replication query on local HS2 instance with the provided arguments <p>
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
        `body` - (optional)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### runHiveReplicationQueryAsync

          public com.squareup.okhttp.Call runHiveReplicationQueryAsync(String clusterName,
                                                                       String serviceName,
                                                                       ApiHive3ReplicationArguments body,
                                                                       ApiCallback<ApiCommand> callback)
                                                                throws ApiException

      Execute a hive replication query on local HS2 service instance. (asynchronously) Execute a hive replication query on local HS2 service instance <p> The command executes hive replication query on local HS2 instance with the provided arguments <p>
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
        `body` - (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### runScheduleCall

          public com.squareup.okhttp.Call runScheduleCall(String clusterName,
                                                          BigDecimal scheduleId,
                                                          String serviceName,
                                                          Boolean dryRun,
                                                          ProgressResponseBody.ProgressListener progressListener,
                                                          ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                   throws ApiException

      Build call for runSchedule
      Parameters:
        `clusterName` - (required)
        `scheduleId` - Id of an existing replication schedule. (required)
        `serviceName` - The service name. (required)
        `dryRun` - Whether to execute a dry run. (optional, default to false)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### runSchedule

          public ApiCommand runSchedule(String clusterName,
                                        BigDecimal scheduleId,
                                        String serviceName,
                                        Boolean dryRun)
                                 throws ApiException

      Run the schedule immediately. Run the schedule immediately. <p> The replication command will be triggered with the configured arguments, and will be recorded in the schedule's history. <p> Available since API v3. Only available with Cloudera Manager Enterprise Edition.
      Parameters:
        `clusterName` - (required)
        `scheduleId` - Id of an existing replication schedule. (required)
        `serviceName` - The service name. (required)
        `dryRun` - Whether to execute a dry run. (optional, default to false)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### runScheduleWithHttpInfo

          public ApiResponse<ApiCommand> runScheduleWithHttpInfo(String clusterName,
                                                                 BigDecimal scheduleId,
                                                                 String serviceName,
                                                                 Boolean dryRun)
                                                          throws ApiException

      Run the schedule immediately. Run the schedule immediately. <p> The replication command will be triggered with the configured arguments, and will be recorded in the schedule's history. <p> Available since API v3. Only available with Cloudera Manager Enterprise Edition.
      Parameters:
        `clusterName` - (required)
        `scheduleId` - Id of an existing replication schedule. (required)
        `serviceName` - The service name. (required)
        `dryRun` - Whether to execute a dry run. (optional, default to false)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### runScheduleAsync

          public com.squareup.okhttp.Call runScheduleAsync(String clusterName,
                                                           BigDecimal scheduleId,
                                                           String serviceName,
                                                           Boolean dryRun,
                                                           ApiCallback<ApiCommand> callback)
                                                    throws ApiException

      Run the schedule immediately. (asynchronously) Run the schedule immediately. <p> The replication command will be triggered with the configured arguments, and will be recorded in the schedule's history. <p> Available since API v3. Only available with Cloudera Manager Enterprise Edition.
      Parameters:
        `clusterName` - (required)
        `scheduleId` - Id of an existing replication schedule. (required)
        `serviceName` - The service name. (required)
        `dryRun` - Whether to execute a dry run. (optional, default to false)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### setCFsReplicationScopeCall

          public com.squareup.okhttp.Call setCFsReplicationScopeCall(String clusterName,
                                                                     String serviceName,
                                                                     ApiHBaseSetCFsReplicationScope body,
                                                                     ProgressResponseBody.ProgressListener progressListener,
                                                                     ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                              throws ApiException

      Build call for setCFsReplicationScope
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
        `body` - Arguments for setting the replication scope. (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### setCFsReplicationScope

          public ApiCommand setCFsReplicationScope(String clusterName,
                                                   String serviceName,
                                                   ApiHBaseSetCFsReplicationScope body)
                                            throws ApiException

      Starts a command that set the replication scope of the provided column families to the desired value. Starts a command that set the replication scope of the provided column families to the desired value.
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
        `body` - Arguments for setting the replication scope. (optional)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### setCFsReplicationScopeWithHttpInfo

          public ApiResponse<ApiCommand> setCFsReplicationScopeWithHttpInfo(String clusterName,
                                                                            String serviceName,
                                                                            ApiHBaseSetCFsReplicationScope body)
                                                                     throws ApiException

      Starts a command that set the replication scope of the provided column families to the desired value. Starts a command that set the replication scope of the provided column families to the desired value.
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
        `body` - Arguments for setting the replication scope. (optional)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### setCFsReplicationScopeAsync

          public com.squareup.okhttp.Call setCFsReplicationScopeAsync(String clusterName,
                                                                      String serviceName,
                                                                      ApiHBaseSetCFsReplicationScope body,
                                                                      ApiCallback<ApiCommand> callback)
                                                               throws ApiException

      Starts a command that set the replication scope of the provided column families to the desired value. (asynchronously) Starts a command that set the replication scope of the provided column families to the desired value.
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
        `body` - Arguments for setting the replication scope. (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### updateHBaseReplicationPeerStateCall

          public com.squareup.okhttp.Call updateHBaseReplicationPeerStateCall(String clusterName,
                                                                              String serviceName,
                                                                              ApiHBaseUpdateReplicationPeerState body,
                                                                              ProgressResponseBody.ProgressListener progressListener,
                                                                              ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                                       throws ApiException

      Build call for updateHBaseReplicationPeerState
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
        `body` - Arguments for operation. (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### updateHBaseReplicationPeerState

          public ApiCommand updateHBaseReplicationPeerState(String clusterName,
                                                            String serviceName,
                                                            ApiHBaseUpdateReplicationPeerState body)
                                                     throws ApiException

      Starts a command that updates the state of an existing HBase replication peer. Starts a command that updates the state of an existing HBase replication peer.
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
        `body` - Arguments for operation. (optional)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### updateHBaseReplicationPeerStateWithHttpInfo

          public ApiResponse<ApiCommand> updateHBaseReplicationPeerStateWithHttpInfo(String clusterName,
                                                                                     String serviceName,
                                                                                     ApiHBaseUpdateReplicationPeerState body)
                                                                              throws ApiException

      Starts a command that updates the state of an existing HBase replication peer. Starts a command that updates the state of an existing HBase replication peer.
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
        `body` - Arguments for operation. (optional)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### updateHBaseReplicationPeerStateAsync

          public com.squareup.okhttp.Call updateHBaseReplicationPeerStateAsync(String clusterName,
                                                                               String serviceName,
                                                                               ApiHBaseUpdateReplicationPeerState body,
                                                                               ApiCallback<ApiCommand> callback)
                                                                        throws ApiException

      Starts a command that updates the state of an existing HBase replication peer. (asynchronously) Starts a command that updates the state of an existing HBase replication peer.
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
        `body` - Arguments for operation. (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### updateScheduleCall

          public com.squareup.okhttp.Call updateScheduleCall(String clusterName,
                                                             BigDecimal scheduleId,
                                                             String serviceName,
                                                             ApiReplicationSchedule body,
                                                             ProgressResponseBody.ProgressListener progressListener,
                                                             ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                      throws ApiException

      Build call for updateSchedule
      Parameters:
        `clusterName` - (required)
        `scheduleId` - Id of an existing replication schedule. (required)
        `serviceName` - The service name. (required)
        `body` - (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### updateSchedule

          public ApiReplicationSchedule updateSchedule(String clusterName,
                                                       BigDecimal scheduleId,
                                                       String serviceName,
                                                       ApiReplicationSchedule body)
                                                throws ApiException

      Updates an existing replication schedule. Updates an existing replication schedule. <p> Available since API v3. Only available with Cloudera Manager Enterprise Edition.
      Parameters:
        `clusterName` - (required)
        `scheduleId` - Id of an existing replication schedule. (required)
        `serviceName` - The service name. (required)
        `body` - (optional)
      Returns:
        ApiReplicationSchedule
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### updateScheduleWithHttpInfo

          public ApiResponse<ApiReplicationSchedule> updateScheduleWithHttpInfo(String clusterName,
                                                                                BigDecimal scheduleId,
                                                                                String serviceName,
                                                                                ApiReplicationSchedule body)
                                                                         throws ApiException

      Updates an existing replication schedule. Updates an existing replication schedule. <p> Available since API v3. Only available with Cloudera Manager Enterprise Edition.
      Parameters:
        `clusterName` - (required)
        `scheduleId` - Id of an existing replication schedule. (required)
        `serviceName` - The service name. (required)
        `body` - (optional)
      Returns:
        ApiResponse<ApiReplicationSchedule>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### updateScheduleAsync

          public com.squareup.okhttp.Call updateScheduleAsync(String clusterName,
                                                              BigDecimal scheduleId,
                                                              String serviceName,
                                                              ApiReplicationSchedule body,
                                                              ApiCallback<ApiReplicationSchedule> callback)
                                                       throws ApiException

      Updates an existing replication schedule. (asynchronously) Updates an existing replication schedule. <p> Available since API v3. Only available with Cloudera Manager Enterprise Edition.
      Parameters:
        `clusterName` - (required)
        `scheduleId` - Id of an existing replication schedule. (required)
        `serviceName` - The service name. (required)
        `body` - (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

Copyright © 2022. All rights reserved.